#! /bin/sh
# translate a platform_ops.proto file into a header file

INFILE="$1"
OUTFILE="$2"

if ! test -f "$INFILE"; then
    echo "$INFILE not found"
    exit 1;
fi

:> "$OUTFILE"

echo "/* Automatically generated by $0 from $INFILE */" >>"$OUTFILE"
echo "typedef enum {" >>"$OUTFILE"

while read DEFOP OPNAME OPCODE REST; do
    [ "$DEFOP" = "(defop" ] || continue
    echo "  $OPNAME = CORE_CMD_OPS + $OPCODE, // syntax: ($REST" >>"$OUTFILE"
done < "$INFILE"

echo "} PLATFORM_OPCODES;" >>"$OUTFILE"
